> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Roles

> Overview

Fetch a all Roles in an instance

Endpoint

GET /api/authorization/v1/roles



## OpenAPI

````yaml /openapi/product/roles-governance-api.yaml get /api/authorization/v1/roles
openapi: 3.1.0
info:
  title: Roles Governance API
  version: 1.0.0
  description: >-
    This API reference is useful if you are trying to manage Domo Roles from
    anywhere 'outside' of your Domo instance such as:


    1. Jupyter scripts

    2. Code Engine Functions

    3. Custom Java/Node/Python scripts
servers:
  - url: https://{instance}.domo.com
    variables:
      instance:
        default: YOUR_INSTANCE
        description: Domo instance subdomain
security:
  - DomoDeveloperToken: []
tags:
  - name: Roles
paths:
  /api/authorization/v1/roles:
    get:
      tags:
        - Roles Governance API
      summary: Get All Roles
      description: |-
        Overview

        Fetch a all Roles in an instance

        Endpoint

        GET /api/authorization/v1/roles
      responses:
        '200':
          description: |-
            HTTP/1.1 200 OK
            Content-Type: application/json;charset=UTF-8
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RoleDetailedResponse'
components:
  schemas:
    RoleDetailedResponse:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        description:
          type: string
        authorityCount:
          type: integer
        userCount:
          type: integer
        created:
          type: integer
          description: epoch milliseconds
        modified:
          type: integer
          description: epoch milliseconds
  securitySchemes:
    DomoDeveloperToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token

````